Page MenuHomePhabricator

SpecialBlock: MapCacheLRU.php: array_key_exists(): The first argument should be either a string or an integer
Closed, ResolvedPublic

Description

Going to Special:Block with a username filled gives

[error] [6f820a4c2fffa2cd6e7b868f] /wiki/index.php/Special:Block/Newuser ErrorException from line 90 of /var/www/html/wiki/includes/libs/MapCacheLRU.php: PHP Warning: array_key_exists(): The first argument should be either a string or an integer
[error] [6f820a4c2fffa2cd6e7b868f] /wiki/index.php/Special:Block/Newuser ErrorException from line 61 of /var/www/html/wiki/includes/libs/MapCacheLRU.php: PHP Warning: array_key_exists(): The first argument should be either a string or an integer
[error] [6f820a4c2fffa2cd6e7b868f] /wiki/index.php/Special:Block/Newuser ErrorException from line 68 of /var/www/html/wiki/includes/libs/MapCacheLRU.php: PHP Warning: Illegal offset type

Happens on Wikimedia production as well:

28 Illegal offset type in /srv/mediawiki/php-1.27.0-wmf.21/includes/libs/MapCacheLRU.php on line 68
28 Array key should be either a string or an integer in /srv/mediawiki/php-1.27.0-wmf.21/includes/libs/MapCacheLRU.php on line 90
28 Array key should be either a string or an integer in /srv/mediawiki/php-1.27.0-wmf.21/includes/libs/MapCacheLRU.php on line 61

Details

Related Gerrit Patches:

Event Timeline

Glaisher created this task.Apr 18 2016, 5:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 5:05 PM

SpecialBlock->target can be User|string|null but OtherBlockLogLink hook's second parameter says it's supposed to be a requested IP address or username.

hashar updated the task description. (Show Details)Apr 25 2016, 9:40 AM

Change 286181 had a related patch set uploaded (by Glaisher):
Make sure OtherBlockLogLink's second parameter is a string

https://gerrit.wikimedia.org/r/286181

Change 286181 merged by jenkins-bot:
Make sure OtherBlockLogLink's second parameter is a string

https://gerrit.wikimedia.org/r/286181

Glaisher closed this task as Resolved.May 4 2016, 5:53 PM
Glaisher claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM